Name:    rage
Version: 0.3.1
Release: %mkrel 5
Summary: A video player based on the Enlightenment Foundation Library
License: BSD

Group:   Graphical desktop/Enlightenment
Source:  https://download.enlightenment.org/rel/apps/rage/%{name}-%{version}.tar.xz
URL:     https://www.enlightenment.org/

BuildRequires: pkgconfig(pkg-config)
BuildRequires: pkgconfig(efl)
BuildRequires: efl
BuildRequires: meson
BuildRequires: ninja

Requires: efl

%description
Rage is a video and audio player along the lines of Mplayer. It's
simple yet decent looking. It finds album art for you for music files,
generates thumbnails for videos so you can select log action by
thumbnail and more. It accepts file lists on the command line as well.


%prep
%setup -q
%meson

%build
%meson_build


%install
%meson_install

find %buildroot -name '*.la' -delete

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_libdir}/rage
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png



%changelog
* Wed Oct 14 2020 eatdirt <eatdirt> 0.3.1-5.mga8
+ Revision: 1635851
- Rebuild for new efl

* Wed May 20 2020 eatdirt <eatdirt> 0.3.1-4.mga8
+ Revision: 1586384
- Rebuild for new efl

* Tue May 05 2020 eatdirt <eatdirt> 0.3.1-3.mga8
+ Revision: 1580518
- Rebuild for new efl
+ danf <danf>
- Switch URLs from http: to https:

* Tue Mar 17 2020 eatdirt <eatdirt> 0.3.1-2.mga8
+ Revision: 1557564
- Fix packaging of rage's icon
- Upgrade to version 0.3.1

* Sat Feb 15 2020 umeabot <umeabot> 0.3.0-5.mga8
+ Revision: 1525498
- Mageia 8 Mass Rebuild

* Thu Apr 18 2019 umeabot <umeabot> 0.3.0-4.mga7
+ Revision: 1392917
- Rebuild with meson 0.50.1

* Wed Apr 17 2019 eatdirt <eatdirt> 0.3.0-3.mga7
+ Revision: 1391959
- Rebuild for new efl

* Thu Sep 20 2018 eatdirt <eatdirt> 0.3.0-2.mga7
+ Revision: 1284205
- Rebuild for new efl

* Thu Mar 15 2018 eatdirt <eatdirt> 0.3.0-1.mga7
+ Revision: 1209601
- Upgrade to version 0.3.0

* Tue Nov 28 2017 eatdirt <eatdirt> 0.2.1-7.mga7
+ Revision: 1180149
- Rebuild for new efl

* Sat Oct 07 2017 eatdirt <eatdirt> 0.2.1-6.mga7
+ Revision: 1169904
- Rebuild for new efl

* Thu May 25 2017 eatdirt <eatdirt> 0.2.1-5.mga6
+ Revision: 1104542
- Rebuild for new efl

* Tue May 02 2017 eatdirt <eatdirt> 0.2.1-4.mga6
+ Revision: 1098743
- Rebuild for new efl

* Mon Jan 23 2017 eatdirt <eatdirt> 0.2.1-3.mga6
+ Revision: 1083140
- Rebuild for new efl

* Tue Nov 29 2016 eatdirt <eatdirt> 0.2.1-2.mga6
+ Revision: 1070959
- Fix description and typos

* Tue Nov 29 2016 eatdirt <eatdirt> 0.2.1-1.mga6
+ Revision: 1070954
- Syncing rage to the latest version 0.2.1
+ ennael <ennael>
- imported package rage

